=== debian/changelog ===
postgresql-18-age (1.7.0~rc0-1) unstable; urgency=medium

  * New upstream version 1.7.0~rc0.

 -- Christoph Berg <myon@debian.org>  Wed, 21 Jan 2026 21:50:57 +0100

postgresql-18-age (1.6.0~rc0-5) unstable; urgency=medium

  * debian/patches/extra-instance-args: Add $system to extension_control_path.
  * debian/watch: Watch for the PG18 tarball to appear.

 -- Christoph Berg <myon@debian.org>  Sat, 10 Jan 2026 12:43:54 +0100
