=== debian/rules ===
#!/usr/bin/make -f

# currently only one major version is supported
export PG_SUPPORTED_VERSIONS = 18

%:
	dh $@ --with pgxs_loop

override_dh_installdocs:
	dh_installdocs --all README.* NOTICE

override_dh_pgxs_test:
	debian/tests/installcheck
